= nng_msg_body(3)
//
// Copyright 2018 Staysail Systems, Inc. <info@staysail.tech>
// Copyright 2018 Capitar IT Group BV <info@capitar.com>
//
// This document is supplied under the terms of the MIT License, a
// copy of which should be located in the distribution where this
// file was obtained (LICENSE.txt).  A copy of the license may also be
// found online at https://opensource.org/licenses/MIT.
//

== NAME

nng_msg_body - return message body

== SYNOPSIS

[source, c]
----
#include <nng/nng.h>

void *nng_msg_body(nng_msg *msg);
----

== DESCRIPTION

The `nng_msg_body()` function returns a pointer to the start of the body
content of the message _msg_.

NOTE: The value returned by this is invalidated by a call to any of the
functions that modify the message itself.
Such functions are
xref:nng_msg_free.3.adoc[`nng_msg_free()`],
xref:nng_msg_realloc.3.adoc[`nng_msg_realloc()`],
any of the xref:nng_msg_trim.3.adoc[`nng_msg_trim()`],
xref:nng_msg_chop.3.adoc[`nng_msg_chop()`],
xref:nng_msg_append.3.adoc[`nng_msg_append()`],
or xref:nng_msg_insert.3.adoc[`nng_msg_insert()`] variants.

== RETURN VALUES

Pointer to start of message body.

== ERRORS

None.

== SEE ALSO

[.text-left]
xref:nng_msg_alloc.3.adoc[nng_msg_alloc(3)],
xref:nng_msg_append.3.adoc[nng_msg_append(3)],
xref:nng_msg_chop.3.adoc[nng_msg_chop(3)],
xref:nng_msg_free.3.adoc[nng_msg_free(3)],
xref:nng_msg_insert.3.adoc[nng_msg_insert(3)],
xref:nng_msg_len.3.adoc[nng_msg_len(3)],
xref:nng_msg_capacity.3.adoc[nng_msg_capacity(3)],
xref:nng_msg_reserve.3.adoc[nng_msg_reserve(3)],
xref:nng_msg_realloc.3.adoc[nng_msg_realloc(3)],
xref:nng_msg_trim.3.adoc[nng_msg_trim(3)],
xref:nng_msg.5.adoc[nng_msg(5)],
xref:nng.7.adoc[nng(7)]
